Subject: Re: bug#70362: [PATCH] Add font-locking for Go built-in functions in go-ts-mode

From: Dmitry Gutov <[email-masked]>
Date: Sat, 13 Apr 2024 15:16:45 +0300

On 13/04/2024 10:40, Noah Peart wrote:
> I put it at level 3 following the conventions in other treesit modes
> I checked: python-ts-mode, ruby-ts-mode, rust-ts-mode all put builtins 
> at level 3.
> But, I haven't done a full census of the ts modes so there might be 
> variability.

SGTM. If classic major modes highlight a thing (and they do that for 
built-ins), we usually put it in the default highlighting for ts modes 
as well (meaning level 3 or lower).